### Enumeration

# Gtk DirectionType

#### Declaration

    enum Gtk.DirectionType

#### Description [src]

Focus movement types.

#### Members

`GTK_DIR_TAB_FORWARD`

  Move forward.

  - Value: `0`
  - Available since: 4.0
`GTK_DIR_TAB_BACKWARD`

  Move backward.

  - Value: `1`
  - Available since: 4.0
`GTK_DIR_UP`

  Move up.

  - Value: `2`
  - Available since: 4.0
`GTK_DIR_DOWN`

  Move down.

  - Value: `3`
  - Available since: 4.0
`GTK_DIR_LEFT`

  Move left.

  - Value: `4`
  - Available since: 4.0
`GTK_DIR_RIGHT`

  Move right.

  - Value: `5`
  - Available since: 4.0